Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.models.discrete.inhomogeneous.parameters
Class BayesianNetworkModelParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet
              de.jstacs.parameters.SequenceScoringParameterSet
                  de.jstacs.models.discrete.DGMParameterSet
                      de.jstacs.models.discrete.inhomogeneous.parameters.IDGMParameterSet
                          de.jstacs.models.discrete.inhomogeneous.parameters.BayesianNetworkModelParameterSet

All Implemented Interfaces:
  GalaxyConvertible, RangeIterator, Storable, Cloneable

    public class BayesianNetworkModelParameterSet

extends IDGMParameterSet

The `ParameterSet` for the class `BayesianNetworkModel`.

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`alphabet, length`

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`BayesianNetworkModelParameterSet()` The simple constructor for an empty `BayesianNetworkModelParameterSet` for a `BayesianNetworkModel`.
`BayesianNetworkModelParameterSet(AlphabetContainer alphabet, int length, double ess, String description, StructureLearner.ModelType model, byte order, StructureLearner.LearningType method)` This is the constructor of a filled `BayesianNetworkModelParameterSet` for a `BayesianNetworkModel`.
`BayesianNetworkModelParameterSet(StringBuffer s)` The standard constructor for the interface `Storable`.

Method Summary
`String` | `getInstanceComment()` Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.
`String` | `getModelInstanceName()` This method returns a short description of the model.
`protected void` | `loadParameters()` Loads the parameters for this `ParameterSet`.
`void` | `setModelType(String modelType)` This method allows a simple change of the model type.

Methods inherited from class de.jstacs.models.discrete.inhomogeneous.parameters.IDGMParameterSet
`getModelInstanceName`

Methods inherited from class de.jstacs.models.discrete.DGMParameterSet
`clone, getInstanceName, hasDefaultOrIsSet, setEss`

Methods inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`equals, fromXML, getAlphabetContainer, getLength, getNumberOfParameters, getParameterAt, replaceParametersWithRangedInstance, reset, toXML`

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`getInstance, getInstanceClass`

Methods inherited from class de.jstacs.parameters.ParameterSet
`fromGalaxy, getErrorMessage, getId, getIndex, getNumberOfValues, getParent, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, resetToFirst, setParent, simplify, toGalaxy, valuesToString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BayesianNetworkModelParameterSet

    public BayesianNetworkModelParameterSet(StringBuffer s)
                                     throws NonParsableException

  The standard constructor for the interface `Storable`. Creates a new `BayesianNetworkModelParameterSet` out of its XML representation.

  Parameters:
    `s` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `BayesianNetworkModelParameterSet` could not be reconstructed out of the XML representation (the `StringBuffer` could not be parsed)
  See Also:
    `Storable`, `IDGMParameterSet.IDGMParameterSet(StringBuffer)`

### BayesianNetworkModelParameterSet

    public BayesianNetworkModelParameterSet()

  The simple constructor for an empty `BayesianNetworkModelParameterSet` for a `BayesianNetworkModel`.

  See Also:
    `IDGMParameterSet.IDGMParameterSet(Class)`

### BayesianNetworkModelParameterSet

    public BayesianNetworkModelParameterSet(AlphabetContainer alphabet,
                                            int length,
                                            double ess,
                                            String description,
                                            StructureLearner.ModelType model,
                                            byte order,
                                            StructureLearner.LearningType method)
                                     throws Exception

  This is the constructor of a filled `BayesianNetworkModelParameterSet` for a `BayesianNetworkModel`.

  Parameters:
    `alphabet` - the `AlphabetContainer` that is used in the model
    `length` - the length of the model (has to be positive)
    `ess` - the ess (equivalent sample size) of the model (has to be positive)
    `description` - a short description of the model (for a better handling of the object by the user)
    `model` - the type of model: IMM, PMM or BN
    `order` - the order of the model
    `method` - the method how to learn the structure (only relevant for PMM, BN): ML_OR_MAP or BMA
  Throws:
    `Exception` - if something went wrong
  See Also:
    `StructureLearner.ModelType`, `StructureLearner.ModelType.IMM`, `StructureLearner.ModelType.PMM`, `StructureLearner.ModelType.BN`, `StructureLearner.LearningType`, `StructureLearner.LearningType.ML_OR_MAP`, `StructureLearner.LearningType.BMA`, `IDGMParameterSet.IDGMParameterSet(Class, AlphabetContainer, int, double, String)`

Method Detail

### loadParameters

    protected void loadParameters()
                           throws Exception

  Description copied from class: `ParameterSet`
  Loads the parameters for this `ParameterSet`. This is in most cases done by calling `ParameterSet.initParameterList()` or `ParameterSet.initParameterList(int)` to initialize `ParameterSet.parameters` and afterwards filling `ParameterSet.parameters` with instances of subclasses of `Parameter`.

  Overrides:
    `loadParameters` in class `DGMParameterSet`
  Throws:
    `Exception` - if the parameters could not be loaded
  See Also:
    `Parameter`, `ParameterSet.parameters`, `ParameterSet.initParameterList()`, `ParameterSet.initParameterList(int)`

### setModelType

    public void setModelType(String modelType)
                      throws SimpleParameter.IllegalValueException

  This method allows a simple change of the model type.

  Parameters:
    `modelType` - the type of the model, one of "iMM", "pMM" or "BN"
  Throws:
    `SimpleParameter.IllegalValueException` - if the `modelType` is illegal

### getInstanceComment

    public String getInstanceComment()

  Description copied from class: `InstanceParameterSet`
  Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceComment` in class `InstanceParameterSet`
  Returns:
    the comment of the class

### getModelInstanceName

    public String getModelInstanceName()

  This method returns a short description of the model.

  Returns:
    a short description of the model

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD